Index: /code/branches/cpp11_v2/src/libraries/core/class/IdentifierManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/class/IdentifierManager.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/class/IdentifierManager.cc	(revision 10821)
@@ -93,7 +93,7 @@
         {
             Context temporaryContext(nullptr);
-            for (std::set<Identifier*>::const_iterator it = this->identifiers_.begin(); it != this->identifiers_.end(); ++it)
+            for (auto identifier : this->identifiers_)
             {
-                Identifier* identifier = (*it);
+                
                 if (identifier->isInitialized())
                     continue;
@@ -127,6 +127,6 @@
 
         // finish the initialization of all identifiers
-        for (std::set<Identifier*>::const_iterator it = initializedIdentifiers.begin(); it != initializedIdentifiers.end(); ++it)
-            (*it)->finishInitialization();
+        for (const auto & initializedIdentifier : initializedIdentifiers)
+            (initializedIdentifier)->finishInitialization();
 
         // only check class hierarchy in dev mode because it's an expensive operation and it requires a developer to fix detected problems anyway.
@@ -144,26 +144,26 @@
     {
         // check if there are any uninitialized identifiers remaining
-        for (std::set<Identifier*>::const_iterator it = this->identifiers_.begin(); it != this->identifiers_.end(); ++it)
-            if (!(*it)->isInitialized())
-                orxout(internal_error) << "Identifier was registered late and is not initialized: " << (*it)->getName() << " / " << (*it)->getTypeInfo().name() << endl;
+        for (const auto & elem : this->identifiers_)
+            if (!(elem)->isInitialized())
+                orxout(internal_error) << "Identifier was registered late and is not initialized: " << (elem)->getName() << " / " << (elem)->getTypeInfo().name() << endl;
 
         // for all initialized identifiers, check if a sample instance behaves as expected according to the class hierarchy
         Context temporaryContext(nullptr);
-        for (std::set<Identifier*>::const_iterator it1 = initializedIdentifiers.begin(); it1 != initializedIdentifiers.end(); ++it1)
+        for (const auto & initializedIdentifier : initializedIdentifiers)
         {
-            if (!(*it1)->hasFactory())
+            if (!(initializedIdentifier)->hasFactory())
                 continue;
 
-            Identifiable* temp = (*it1)->fabricate(&temporaryContext);
-
-            for (std::set<Identifier*>::const_iterator it2 = this->identifiers_.begin(); it2 != this->identifiers_.end(); ++it2)
+            Identifiable* temp = (initializedIdentifier)->fabricate(&temporaryContext);
+
+            for (const auto & elem : this->identifiers_)
             {
-                bool isA_AccordingToRtti = (*it2)->canDynamicCastObjectToIdentifierClass(temp);
-                bool isA_AccordingToClassHierarchy = temp->isA((*it2));
+                bool isA_AccordingToRtti = (elem)->canDynamicCastObjectToIdentifierClass(temp);
+                bool isA_AccordingToClassHierarchy = temp->isA((elem));
 
                 if (isA_AccordingToRtti != isA_AccordingToClassHierarchy)
                 {
-                    orxout(internal_error) << "Class hierarchy does not match RTTI: Class hierarchy claims that " << (*it1)->getName() <<
-                        (isA_AccordingToClassHierarchy ? " is a " : " is not a ") << (*it2)->getName() << " but RTTI says the opposite." << endl;
+                    orxout(internal_error) << "Class hierarchy does not match RTTI: Class hierarchy claims that " << (initializedIdentifier)->getName() <<
+                        (isA_AccordingToClassHierarchy ? " is a " : " is not a ") << (elem)->getName() << " but RTTI says the opposite." << endl;
                 }
             }
@@ -184,6 +184,6 @@
     {
         orxout(internal_status) << "Destroy class-hierarchy" << endl;
-        for (std::set<Identifier*>::const_iterator it = this->identifiers_.begin(); it != this->identifiers_.end(); ++it)
-            (*it)->reset();
+        for (const auto & elem : this->identifiers_)
+            (elem)->reset();
     }
 
@@ -260,7 +260,7 @@
     {
         // TODO: use std::type_index and a map to find identifiers by type_info (only with c++11)
-        for (std::set<Identifier*>::iterator it = this->identifiers_.begin(); it != this->identifiers_.end(); ++it)
-            if ((*it)->getTypeInfo() == typeInfo)
-                return (*it);
+        for (const auto & elem : this->identifiers_)
+            if ((elem)->getTypeInfo() == typeInfo)
+                return (elem);
         return nullptr;
     }
Index: /code/branches/cpp11_v2/src/libraries/core/command/ArgumentCompletionFunctions.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/ArgumentCompletionFunctions.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/command/ArgumentCompletionFunctions.cc	(revision 10821)
@@ -77,6 +77,6 @@
             bool groupIsVisible(const std::map<std::string, ConsoleCommand*>& group, bool bOnlyShowHidden)
             {
-                for (std::map<std::string, ConsoleCommand*>::const_iterator it_command = group.begin(); it_command != group.end(); ++it_command)
-                    if (it_command->second->isActive() && it_command->second->hasAccess() && (!it_command->second->isHidden())^bOnlyShowHidden)
+                for (const auto & elem : group)
+                    if (elem.second->isActive() && elem.second->hasAccess() && (!elem.second->isHidden())^bOnlyShowHidden)
                         return true;
 
@@ -100,7 +100,7 @@
                 // get all the groups that are visible (except the shortcut group "")
                 const std::map<std::string, std::map<std::string, ConsoleCommand*>>& commands = ConsoleCommandManager::getInstance().getCommands();
-                for (std::map<std::string, std::map<std::string, ConsoleCommand*>>::const_iterator it_group = commands.begin(); it_group != commands.end(); ++it_group)
-                    if (groupIsVisible(it_group->second, bOnlyShowHidden) && it_group->first != "" && (fragmentLC == "" || getLowercase(it_group->first).find(fragmentLC) == 0))
-                        groupList.push_back(ArgumentCompletionListElement(it_group->first, getLowercase(it_group->first)));
+                for (const auto & command : commands)
+                    if (groupIsVisible(command.second, bOnlyShowHidden) && command.first != "" && (fragmentLC == "" || getLowercase(command.first).find(fragmentLC) == 0))
+                        groupList.push_back(ArgumentCompletionListElement(command.first, getLowercase(command.first)));
 
                 // now add all shortcuts (in group "")
@@ -113,7 +113,7 @@
 
                     // add the shortcuts
-                    for (std::map<std::string, ConsoleCommand*>::const_iterator it_command = it_group->second.begin(); it_command != it_group->second.end(); ++it_command)
-                        if (it_command->second->isActive() && it_command->second->hasAccess() && (!it_command->second->isHidden())^bOnlyShowHidden && (fragmentLC == "" || getLowercase(it_command->first).find(fragmentLC) == 0))
-                            groupList.push_back(ArgumentCompletionListElement(it_command->first, getLowercase(it_command->first)));
+                    for (const auto & elem : it_group->second)
+                        if (elem.second->isActive() && elem.second->hasAccess() && (!elem.second->isHidden())^bOnlyShowHidden && (fragmentLC == "" || getLowercase(elem.first).find(fragmentLC) == 0))
+                            groupList.push_back(ArgumentCompletionListElement(elem.first, getLowercase(elem.first)));
                 }
 
@@ -146,7 +146,7 @@
                 if (it_group != ConsoleCommandManager::getInstance().getCommands().end())
                 {
-                    for (std::map<std::string, ConsoleCommand*>::const_iterator it_command = it_group->second.begin(); it_command != it_group->second.end(); ++it_command)
-                        if (it_command->second->isActive() && it_command->second->hasAccess() && (!it_command->second->isHidden())^bOnlyShowHidden)
-                            commandList.push_back(ArgumentCompletionListElement(it_command->first, getLowercase(it_command->first)));
+                    for (const auto & elem : it_group->second)
+                        if (elem.second->isActive() && elem.second->hasAccess() && (!elem.second->isHidden())^bOnlyShowHidden)
+                            commandList.push_back(ArgumentCompletionListElement(elem.first, getLowercase(elem.first)));
                 }
 
@@ -281,6 +281,6 @@
 
             const std::set<std::string>& names = SettingsConfigFile::getInstance().getSectionNames();
-            for (std::set<std::string>::const_iterator it = names.begin(); it != names.end(); ++it)
-                sectionList.push_back(ArgumentCompletionListElement(*it, getLowercase(*it)));
+            for (const auto & name : names)
+                sectionList.push_back(ArgumentCompletionListElement(name, getLowercase(name)));
 
             return sectionList;
Index: /code/branches/cpp11_v2/src/libraries/core/command/CommandEvaluation.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/CommandEvaluation.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/command/CommandEvaluation.cc	(revision 10821)
@@ -306,6 +306,6 @@
                 // the user typed 1-2 arguments, check what he tried to type and print a suitable error
                 std::string groupLC = getLowercase(this->getToken(0));
-                for (std::map<std::string, std::map<std::string, ConsoleCommand*>>::const_iterator it_group = ConsoleCommandManager::getInstance().getCommandsLC().begin(); it_group != ConsoleCommandManager::getInstance().getCommandsLC().end(); ++it_group)
-                    if (it_group->first == groupLC)
+                for (const auto & elem : ConsoleCommandManager::getInstance().getCommandsLC())
+                    if (elem.first == groupLC)
                         return std::string("Error: There is no command in group \"") + this->getToken(0) + "\" starting with \"" + this->getToken(1) + "\".";
 
@@ -328,11 +328,11 @@
 
         // iterate through all groups and their commands and calculate the distance to the current command. keep the best.
-        for (std::map<std::string, std::map<std::string, ConsoleCommand*>>::const_iterator it_group = ConsoleCommandManager::getInstance().getCommandsLC().begin(); it_group != ConsoleCommandManager::getInstance().getCommandsLC().end(); ++it_group)
-        {
-            if (it_group->first != "")
-            {
-                for (std::map<std::string, ConsoleCommand*>::const_iterator it_name = it_group->second.begin(); it_name != it_group->second.end(); ++it_name)
-                {
-                    std::string command = it_group->first + " " + it_name->first;
+        for (const auto & elem : ConsoleCommandManager::getInstance().getCommandsLC())
+        {
+            if (elem.first != "")
+            {
+                for (std::map<std::string, ConsoleCommand*>::const_iterator it_name = elem.second.begin(); it_name != elem.second.end(); ++it_name)
+                {
+                    std::string command = elem.first + " " + it_name->first;
                     unsigned int distance = getLevenshteinDistance(command, token0_LC + " " + token1_LC);
                     if (distance < nearestDistance)
@@ -349,7 +349,7 @@
         if (it_group !=  ConsoleCommandManager::getInstance().getCommandsLC().end())
         {
-            for (std::map<std::string, ConsoleCommand*>::const_iterator it_name = it_group->second.begin(); it_name != it_group->second.end(); ++it_name)
-            {
-                std::string command = it_name->first;
+            for (const auto & elem : it_group->second)
+            {
+                std::string command = elem.first;
                 unsigned int distance = getLevenshteinDistance(command, token0_LC);
                 if (distance < nearestDistance)
@@ -429,6 +429,6 @@
     {
         size_t count = 0;
-        for (ArgumentCompletionList::const_iterator it = list.begin(); it != list.end(); ++it)
-            if (it->getComparable() != "")
+        for (const auto & elem : list)
+            if (elem.getComparable() != "")
                 ++count;
         return count;
@@ -495,13 +495,13 @@
         {
             // only one (non-empty) value in the list - search it and return it
-            for (ArgumentCompletionList::const_iterator it = list.begin(); it != list.end(); ++it)
-            {
-                if (it->getComparable() != "")
+            for (const auto & elem : list)
+            {
+                if (elem.getComparable() != "")
                 {
                     // arguments that have a separate string to be displayed need a little more care - just return them without modification. add a space character to the others.
-                    if (it->hasDisplay())
-                        return (it->getString());
+                    if (elem.hasDisplay())
+                        return (elem.getString());
                     else
-                        return (it->getString() + ' ');
+                        return (elem.getString() + ' ');
                 }
             }
@@ -517,8 +517,8 @@
                 char tempComparable = '\0';
                 char temp = '\0';
-                for (ArgumentCompletionList::const_iterator it = list.begin(); it != list.end(); ++it)
-                {
-                    const std::string& argumentComparable = it->getComparable();
-                    const std::string& argument = it->getString();
+                for (const auto & elem : list)
+                {
+                    const std::string& argumentComparable = elem.getComparable();
+                    const std::string& argument = elem.getString();
 
                     // ignore empty arguments
@@ -560,10 +560,10 @@
     {
         std::string output;
-        for (ArgumentCompletionList::const_iterator it = list.begin(); it != list.end(); ++it)
-        {
-            output += it->getDisplay();
+        for (const auto & elem : list)
+        {
+            output += elem.getDisplay();
 
             // add a space character between two elements for all non-empty arguments
-            if (it->getComparable() != "")
+            if (elem.getComparable() != "")
                 output += ' ';
         }
Index: /code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommand.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommand.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommand.cc	(revision 10821)
@@ -75,6 +75,6 @@
         this->baseFunctor_ = executor->getFunctor();
 
-        for (size_t i = 0; i < MAX_FUNCTOR_ARGUMENTS; ++i)
-            this->argumentCompleter_[i] = nullptr;
+        for (auto & elem : this->argumentCompleter_)
+            elem = nullptr;
 
         this->keybindMode_ = KeybindMode::OnPress;
Index: /code/branches/cpp11_v2/src/libraries/core/command/Shell.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/Shell.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/command/Shell.cc	(revision 10821)
@@ -258,6 +258,6 @@
         vectorize(text, '\n', &lines);
 
-        for (size_t i = 0; i < lines.size(); ++i)
-            this->addLine(lines[i], type);
+        for (auto & line : lines)
+            this->addLine(line, type);
     }
 
Index: /code/branches/cpp11_v2/src/libraries/core/command/TclThreadList.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/TclThreadList.h	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/command/TclThreadList.h	(revision 10821)
@@ -262,6 +262,6 @@
         boost::shared_lock<boost::shared_mutex> lock(this->mutex_);
 
-        for (typename std::list<T>::const_iterator it = this->list_.begin(); it != this->list_.end(); ++it)
-            if (*it == value)
+        for (const auto & elem : this->list_)
+            if (elem == value)
                 return true;
 
Index: /code/branches/cpp11_v2/src/libraries/core/command/TclThreadManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/TclThreadManager.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/command/TclThreadManager.cc	(revision 10821)
@@ -551,7 +551,7 @@
 
         std::list<unsigned int> threads;
-        for (std::map<unsigned int, TclInterpreterBundle*>::const_iterator it = this->interpreterBundles_.begin(); it != this->interpreterBundles_.end(); ++it)
-            if (it->first > 0 && it->first <= this->numInterpreterBundles_) // only list autonumbered interpreters (created with create()) - exclude the default interpreter 0 and all manually numbered interpreters)
-                threads.push_back(it->first);
+        for (const auto & elem : this->interpreterBundles_)
+            if (elem.first > 0 && elem.first <= this->numInterpreterBundles_) // only list autonumbered interpreters (created with create()) - exclude the default interpreter 0 and all manually numbered interpreters)
+                threads.push_back(elem.first);
         return threads;
     }
Index: /code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineParser.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineParser.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineParser.cc	(revision 10821)
@@ -124,21 +124,21 @@
             std::string shortcut;
             std::string value;
-            for (unsigned int i = 0; i < arguments.size(); ++i)
-            {
-                if (arguments[i].size() != 0)
+            for (auto & argument : arguments)
+            {
+                if (argument.size() != 0)
                 {
                     // sure not ""
-                    if (arguments[i][0] == '-')
+                    if (argument[0] == '-')
                     {
                         // start with "-"
-                        if (arguments[i].size() == 1)
+                        if (argument.size() == 1)
                         {
                             // argument[i] is "-", probably a minus sign
                             value += "- ";
                         }
-                        else if (arguments[i][1] <= 57 && arguments[i][1] >= 48)
+                        else if (argument[1] <= 57 && argument[1] >= 48)
                         {
                             // negative number as a value
-                            value += arguments[i] + ' ';
+                            value += argument + ' ';
                         }
                         else
@@ -161,13 +161,13 @@
                             }
 
-                            if (arguments[i][1] == '-')
+                            if (argument[1] == '-')
                             {
                                 // full name argument with "--name"
-                                name = arguments[i].substr(2);
+                                name = argument.substr(2);
                             }
                             else
                             {
                                 // shortcut with "-s"
-                                shortcut = arguments[i].substr(1);
+                                shortcut = argument.substr(1);
                             }
 
@@ -186,5 +186,5 @@
 
                         // Concatenate strings as long as there's no new argument by "-" or "--"
-                        value += arguments[i] + ' ';
+                        value += argument + ' ';
                     }
                 }
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc	(revision 10821)
@@ -234,9 +234,9 @@
         }
 
-        for (std::list<ConfigFileSection*>::const_iterator it = this->sections_.begin(); it != this->sections_.end(); ++it)
-        {
-            file << (*it)->getFileEntry() << endl;
-
-            for (std::list<ConfigFileEntry*>::const_iterator it_entries = (*it)->getEntriesBegin(); it_entries != (*it)->getEntriesEnd(); ++it_entries)
+        for (const auto & elem : this->sections_)
+        {
+            file << (elem)->getFileEntry() << endl;
+
+            for (std::list<ConfigFileEntry*>::const_iterator it_entries = (elem)->getEntriesBegin(); it_entries != (elem)->getEntriesEnd(); ++it_entries)
                 file << (*it_entries)->getFileEntry() << endl;
 
@@ -280,7 +280,7 @@
     ConfigFileSection* ConfigFile::getSection(const std::string& section) const
     {
-        for (std::list<ConfigFileSection*>::const_iterator it = this->sections_.begin(); it != this->sections_.end(); ++it)
-            if ((*it)->getName() == section)
-                return (*it);
+        for (const auto & elem : this->sections_)
+            if ((elem)->getName() == section)
+                return (elem);
         return nullptr;
     }
@@ -291,7 +291,7 @@
     ConfigFileSection* ConfigFile::getOrCreateSection(const std::string& section)
     {
-        for (std::list<ConfigFileSection*>::iterator it = this->sections_.begin(); it != this->sections_.end(); ++it)
-            if ((*it)->getName() == section)
-                return (*it);
+        for (auto & elem : this->sections_)
+            if ((elem)->getName() == section)
+                return (elem);
 
         this->bUpdated_ = true;
@@ -307,10 +307,10 @@
         bool sectionsUpdated = false;
 
-        for (std::list<ConfigFileSection*>::iterator it = this->sections_.begin(); it != this->sections_.end(); ++it)
-        {
-            if ((*it)->bUpdated_)
+        for (auto & elem : this->sections_)
+        {
+            if ((elem)->bUpdated_)
             {
                 sectionsUpdated = true;
-                (*it)->bUpdated_ = false;
+                (elem)->bUpdated_ = false;
             }
         }
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.cc	(revision 10821)
@@ -53,7 +53,7 @@
     ConfigFileManager::~ConfigFileManager()
     {
-        for (std::array<ConfigFile*, 3>::const_iterator it = this->configFiles_.begin(); it != this->configFiles_.end(); ++it)
-            if (*it)
-                delete (*it);
+        for (const auto & elem : this->configFiles_)
+            if (elem)
+                delete (elem);
     }
 
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileSection.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileSection.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileSection.cc	(revision 10821)
@@ -80,8 +80,8 @@
     {
         unsigned int size = 0;
-        for (std::list<ConfigFileEntry*>::const_iterator it = this->entries_.begin(); it != this->entries_.end(); ++it)
-            if ((*it)->getName() == name)
-                if ((*it)->getIndex() >= size)
-                    size = (*it)->getIndex() + 1;
+        for (const auto & elem : this->entries_)
+            if ((elem)->getName() == name)
+                if ((elem)->getIndex() >= size)
+                    size = (elem)->getIndex() + 1;
         return size;
     }
@@ -105,8 +105,8 @@
     ConfigFileEntry* ConfigFileSection::getEntry(const std::string& name) const
     {
-        for (std::list<ConfigFileEntry*>::const_iterator it = this->entries_.begin(); it != this->entries_.end(); ++it)
+        for (const auto & elem : this->entries_)
         {
-            if ((*it)->getName() == name)
-                return *it;
+            if ((elem)->getName() == name)
+                return elem;
         }
         return nullptr;
@@ -121,8 +121,8 @@
     ConfigFileEntry* ConfigFileSection::getEntry(const std::string& name, unsigned int index) const
     {
-        for (std::list<ConfigFileEntry*>::const_iterator it = this->entries_.begin(); it != this->entries_.end(); ++it)
+        for (const auto & elem : this->entries_)
         {
-            if (((*it)->getName() == name) && ((*it)->getIndex() == index))
-                return *it;
+            if (((elem)->getName() == name) && ((elem)->getIndex() == index))
+                return elem;
         }
         return nullptr;
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.h	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.h	(revision 10821)
@@ -130,6 +130,6 @@
 
                 this->value_ = V();
-                for (unsigned int i = 0; i < defvalue.size(); i++)
-                    this->valueVector_.push_back(MultiType(defvalue[i]));
+                for (auto & elem : defvalue)
+                    this->valueVector_.push_back(MultiType(elem));
 
                 this->initVector();
@@ -183,6 +183,6 @@
                     std::vector<T> temp = *value;
                     value->clear();
-                    for (unsigned int i = 0; i < this->valueVector_.size(); ++i)
-                        value->push_back(this->valueVector_[i]);
+                    for (auto & elem : this->valueVector_)
+                        value->push_back(elem);
 
                     if (value->size() != temp.size())
@@ -211,6 +211,6 @@
                 {
                     value->clear();
-                    for (unsigned int i = 0; i < this->valueVector_.size(); ++i)
-                        value->push_back(this->valueVector_[i]);
+                    for (auto & elem : this->valueVector_)
+                        value->push_back(elem);
                 }
                 return *this;
Index: /code/branches/cpp11_v2/src/libraries/core/input/Button.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/Button.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/input/Button.cc	(revision 10821)
@@ -196,11 +196,11 @@
 
                     // add command to the buffer if not yet existing
-                    for (unsigned int iParamCmd = 0; iParamCmd < paramCommandBuffer_->size(); iParamCmd++)
-                    {
-                        if ((*paramCommandBuffer_)[iParamCmd]->evaluation_.getConsoleCommand()
+                    for (auto & elem : *paramCommandBuffer_)
+                    {
+                        if (elem->evaluation_.getConsoleCommand()
                             == eval.getConsoleCommand())
                         {
                             // already in list
-                            cmd->paramCommand_ = (*paramCommandBuffer_)[iParamCmd];
+                            cmd->paramCommand_ = elem;
                             break;
                         }
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputBuffer.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputBuffer.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputBuffer.cc	(revision 10821)
@@ -110,10 +110,10 @@
     void InputBuffer::insert(const std::string& input, bool update)
     {
-        for (unsigned int i = 0; i < input.size(); ++i)
-        {
-            this->insert(input[i], false);
+        for (auto & elem : input)
+        {
+            this->insert(elem, false);
 
             if (update)
-                this->updated(input[i], false);
+                this->updated(elem, false);
         }
 
@@ -170,8 +170,8 @@
     void InputBuffer::updated()
     {
-        for (std::list<BaseInputBufferListenerTuple*>::iterator it = this->listeners_.begin(); it != this->listeners_.end(); ++it)
-        {
-            if ((*it)->bListenToAllChanges_)
-                (*it)->callFunction();
+        for (auto & elem : this->listeners_)
+        {
+            if ((elem)->bListenToAllChanges_)
+                (elem)->callFunction();
         }
     }
@@ -179,8 +179,8 @@
     void InputBuffer::updated(const char& update, bool bSingleInput)
     {
-        for (std::list<BaseInputBufferListenerTuple*>::iterator it = this->listeners_.begin(); it != this->listeners_.end(); ++it)
-        {
-            if ((!(*it)->trueKeyFalseChar_) && ((*it)->bListenToAllChanges_ || ((*it)->char_ == update)) && (!(*it)->bOnlySingleInput_ || bSingleInput))
-                (*it)->callFunction();
+        for (auto & elem : this->listeners_)
+        {
+            if ((!(elem)->trueKeyFalseChar_) && ((elem)->bListenToAllChanges_ || ((elem)->char_ == update)) && (!(elem)->bOnlySingleInput_ || bSingleInput))
+                (elem)->callFunction();
         }
     }
@@ -201,8 +201,8 @@
             return;
 
-        for (std::list<BaseInputBufferListenerTuple*>::iterator it = this->listeners_.begin(); it != this->listeners_.end(); ++it)
-        {
-            if ((*it)->trueKeyFalseChar_ && ((*it)->key_ == evt.getKeyCode()))
-                (*it)->callFunction();
+        for (auto & elem : this->listeners_)
+        {
+            if ((elem)->trueKeyFalseChar_ && ((elem)->key_ == evt.getKeyCode()))
+                (elem)->callFunction();
         }
 
